package com.syntevo.plugin.jira.commit.messagesource;

import javax.swing.*;

import com.syntevo.openapi.gui.table.*;
import com.syntevo.openapi.util.*;
import com.syntevo.plugin.jira.transport.*;

/**
 * @author syntevo GmbH
 */
final class JiraIssueStatusTableColumn implements ITableColumn<JiraIssue> {

	// Implemented ============================================================

	public String getColumnName() {
		return "Status";
	}

	public boolean isRightAligned() {
		return false;
	}

	public String getText(JiraIssue issue) {
		return issue.getStatus().getName();
	}

	public Icon getIcon(JiraIssue issue) {
		return null;
	}

	public int compare(JiraIssue issue1, JiraIssue issue2) {
		return CompareUtils.compare(getRelevance(issue1.getStatus()), getRelevance(issue2.getStatus()));
	}

	// Utils ==================================================================

	private static int getRelevance(JiraIssueStatus status) {
		if (status == null) {
			return Integer.MAX_VALUE;
		}

		return status.getRelevance();
	}
}
