package com.syntevo.plugin.jira.commit.messagesource;

import javax.swing.*;

import com.syntevo.openapi.gui.table.*;
import com.syntevo.openapi.util.*;
import com.syntevo.plugin.jira.transport.*;

/**
 * @author syntevo GmbH
 */
final class JiraIssueSummaryTableColumn implements ITableColumn<JiraIssue> {

	// Implemented ============================================================

	public String getColumnName() {
		return "Summary";
	}

	public boolean isRightAligned() {
		return false;
	}

	public String getText(JiraIssue issue) {
		return issue.getSummary();
	}

	public Icon getIcon(JiraIssue issue) {
		return null;
	}

	public int compare(JiraIssue issue1, JiraIssue issue2) {
		return CompareUtils.compare(issue1.getSummary(), issue2.getSummary());
	}
}
